#!/bin/ksh

#----------------------------------------------------------------
# Sets the ulimits to maximum
#----------------------------------------------------------------

maximize_ulimits()
{
 for i in t s d m
 do
     # memorize old soft limit
     softlimit=`ulimit -S$i`
     # find out hard maximum
     hardlimit=`ulimit -H$i`
     # set soft to maximum
     ulimit -S$i $hardlimit >/dev/null 2>&1
     newsoftlimit=`ulimit -S$i`
     if [ "$newsoftlimit" != "$softlimit" ]
     then
         echo "Changing ulimit -$i from $softlimit to $newsoftlimit"
     fi
 done
}


#
# check for ARBORPATH
#

if [ $ARBORPATH = "" ]
then
  echo "Must set ARBORPATH."
  exit 1
fi

#
# Locate java
#

which java > /dev/null
if [[ $? -ne 0 ]]
then
  echo "Unable to locate java in $PATH."
  exit 1
else
  JAVA_EXEC=`which java`
fi

#
# Locate jar files
#

if [[ -f $ARBORPATH/bin/OMServer.jar && -f $ARBORPATH/bin/xerces.jar ]]
then
  JAR_PATH=$ARBORPATH/bin
else
  echo "Unable to find OMServer.jar or xerces.jar in $ARBORPATH/bin"
  exit 1
fi

#
# start the olap miner server
#

echo --- Setting ulimits ---

maximize_ulimits

echo --- Starting JAVA ---

$JAVA_EXEC -jar $JAR_PATH/OMServer.jar $*
